BEGIN ~dakkon~ // this identifies our initial dialog file

IF ~NumTimesTalkedTo(0)~ THEN
BEGIN Introduction
	SAY ~Hail, traveler. Your eyes have the weight of someone who has traveled far to be in this place.~
    IF ~~ THEN
        REPLY ~What are you? Some kind of apparition?~
		DO ~SetGlobal("dakkonquest", "GLOBAL", 0)~
        GOTO Introduction1
        
    IF ~~ THEN
        REPLY ~Well met, I'm <CHARNAME>. What are you doing here?~
		DO ~SetGlobal("dakkonquest", "GLOBAL", 0)~
        GOTO Introduction2
    
    IF ~~ THEN
        REPLY ~Evil spirit of the deep! I shall wipe your existance from this plane!!~
		GOTO Combat        
END

IF ~!NumTimesTalkedTo(0) Global("dakkonquest", "GLOBAL", 0)~ THEN
BEGIN Meetagainnoquest
	SAY ~Hail again, traveler. Have you changed your mind?~
	IF ~!PartyHasItem("WA2DAK")~ THEN
		REPLY ~Yes, I will help you find your blade.~
		GOTO Fetchquest1
	IF ~PartyHasItem("WA2DAK")~ THEN
		REPLY ~Fine, I accept your offer.~
		GOTO Fetchquest2
	IF ~~ THEN
		REPLY ~No, Im just passing by to talk to you for no reason. Bye~
		EXIT
	IF ~~ THEN
		REPLY ~I've decided to send you back to whatever plane you came from!~
		GOTO Combat
END

IF ~!NumTimesTalkedTo(0) Global("dakkonquest", "GLOBAL", 1)~ THEN
BEGIN Meetagainquest
	SAY ~Hail again, traveler. Have you returned with what I asked for?~
	IF ~PartyHasItem("WA2DAK") !PartyHasItem("SW1H55") !PartyHasItem("SW1H45")~ THEN
		REPLY ~Yes, here is your blade~
		GOTO Hasblade2
	IF ~PartyHasItem("SW1H55") PartyHasItem("SW1H45")~ THEN
		REPLY ~I have the swords. Here.~
		GOTO Forge
	IF ~~ THEN
		REPLY ~Not yet, I am still looking.~
		EXIT
	IF ~~ THEN
		REPLY ~Time to die. again!~
		GOTO Combat
END
	
IF ~~ THEN
BEGIN Introduction1
	SAY ~An apparition? Yes... it seems I am no longer a part of the living.~
	IF ~~ THEN
		GOTO Introduction2
END

IF ~~ THEN
BEGIN Introduction2
	SAY ~I have been traveling the planes, searching for something that belongs to me. Something of great importance~
	IF ~PartyHasItem("WA2DAK")~ THEN
		GOTO Hasblade1
	IF ~!PartyHasItem("WA2DAK")~ THEN
		GOTO Introduction3
END

IF ~~ THEN
BEGIN Hasblade1
	SAY ~I sense you have it with you.~
	= ~That blade you are carrying there, it is my ceremonial blade. When I died, it should have dissapated into mist. But I had been drawn to this plane because I sensed it was here. I am tied to it. It is a part of me, as I am a part of it.~
	IF ~~ + Hasblade2
END
	
IF ~~ THEN
BEGIN Hasblade2
	SAY ~It seems to have lost some of its power.~
	= ~I wish to offer a proposition.~
	= ~Since you are probably not willing to simply part with it, and nor am I, I can help you by infusing my spirit into the blade.~
	= ~The blade will be more powerful and I will be one with it again.~
	= ~What say you traveler?~
	IF ~~ THEN
		REPLY ~That sounds like a reasonable offer. I accept.~
		GOTO Fetchquest2
	IF ~~ THEN
		REPLY ~I think I like it the way it is. Spirit free.~
		GOTO Reject
END

IF ~~ THEN
BEGIN Introduction3
	SAY ~I am looking for a blade that should not exist.  When I died, it should have dissapated into mist. But I have been drawn to this plane because I sense it is here. I am tied to it. It is a part of me, as I am a part of it.~
	IF ~~ THEN
			REPLY ~I take it you want me find this blade for you?~
			GOTO Fetchquest1
	IF ~~ THEN
			REPLY ~Im not really interested in doing anymore "find this item and bring it to me" quests. Goodbye.~
			GOTO Reject
	IF ~~ THEN
			REPLY ~I think I'd rather dissapate you into mist!!~
			GOTO Combat
END

IF ~~ THEN
BEGIN Fetchquest1
	SAY ~It is a magical katana of great power. You will recognize it once you see it.~
	IF ~~ THEN
			REPLY ~I will keep an eye out for it then.~
			DO ~SetGlobal("dakkonquest", "GLOBAL", 1)~
			EXIT
	IF ~~ THEN
			REPLY ~Im not really interested in doing anymore "find this item and bring it to me" quests. Goodbye.~
			GOTO Reject
END

IF ~~ THEN
BEGIN Fetchquest2
	SAY ~I will need 2 katanas of similar magical power to infuse my spirit into the blade. I will incorporate the other 2 katanas into the blade when I reforge the Chaosmatter so they will be destroyed in the process.~
	IF ~PartyHasItem("SW1H55") PartyHasItem("SW1H45")~ THEN
		REPLY ~I have the swords. Here.~
		GOTO Forge
	IF ~~ THEN
		REPLY ~I will return when I have them~
		DO ~SetGlobal("dakkonquest", "GLOBAL", 1)~
		EXIT
	IF ~~ THEN
		REPLY ~Im not going to do anymore stupid fetch quests for you.~
		GOTO Reject
END

IF ~~ THEN
BEGIN Forge
	SAY ~Before I begin, how do you approach combat?~ 
	++ ~I believe the best defense is a good offense~  + def
	++ ~It is best to go on an all out attack.~ + atk
	++ ~I prefer to break my enemies down with magic.~ + mag
END

IF ~~ def
	SAY ~I see, then I will begin my work~
	IF ~~ DO ~FadeToColor([20.0],0) TakePartyItem("SW1H55") TakePartyItem("SW1H45") TakePartyItem("WA2DAK") GiveItemCreate("dDAK3",Player1,0,0,0) FadeFromColor([20.0],0)~
	+ ending
END

IF ~~ atk
	SAY ~I see, then I will begin my work~
	IF ~~ DO ~FadeToColor([20.0],0) TakePartyItem("SW1H55") TakePartyItem("SW1H45") TakePartyItem("WA2DAK") GiveItemCreate("aDAK3",Player1,0,0,0) FadeFromColor([20.0],0)~
	+ ending
END

IF ~~ mag
	SAY ~I see, then I will begin my work~
	IF ~~ DO ~FadeToColor([20.0],0) TakePartyItem("SW1H55") TakePartyItem("SW1H45") TakePartyItem("WA2DAK") GiveItemCreate("mDAK3",Player1,0,0,0) FadeFromColor([20.0],0)~
	+ ending
END


IF ~~ THEN
BEGIN ending
	SAY ~Hmm, I was not able to infuse my spirit into the blade entirely. Perhaps it has been away from me too long. I seem to have lost some of my attunement to the blade...strange.~
	= ~Your soul, I have noticed, is not like the souls of others I have met on this plane. Yours is more akin to those of the higher realms, of immortals, or gods.~
	= ~I sense the blade's power returning. The Chaosmatter synergizes well with your essence. My spirit should hold the blade in its form.~
	= ~Though it seems your essence is making the blade stronger by the moment.~
	= ~I believe there will be a time when I will be able to incorpoate my soul into the blade in its entirety and combined with your essence, it will be even more powerful than before. I am certain we will meet again. I bid you farewell for now.~
	IF ~~ DO ~EscapeArea()~
	EXIT
END

IF ~~ THEN
BEGIN Reject
	SAY ~I see...it is unfortunate you do not see how this arrangement would benefit both of us.~
	= ~I will not force you to return the blade to me. I have endured much greater hardships than this.~
	IF ~~ DO ~SetGlobal("dakkonquest", "GLOBAL", 0)~
	EXIT
END

IF ~~ THEN
BEGIN Combat
    SAY ~So quick to violence are you? You have made a grave mistake.~
    
    IF ~~ DO ~Enemy()~
    EXIT
        
END